Package org.apache.tomcat.util.descriptor.tld

## Class TldRuleSet

- java.lang.Object
- - org.apache.tomcat.util.digester.RuleSetBase
  - - org.apache.tomcat.util.descriptor.tld.TldRuleSet

All Implemented Interfaces:
  `RuleSet`

    public class TldRuleSet
    extends RuleSetBase

RulesSet for digesting TLD files.

### Nested Class Summary

Nested Classes
`static class` `TldRuleSet.Attribute`
`static class` `TldRuleSet.Variable`

### Field Summary

### Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase

`namespaceURI`

### Constructor Summary

Constructors
`TldRuleSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRuleInstances​(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

### Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase

`getNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TldRuleSet

    public TldRuleSet()

### Method Detail

#### addRuleInstances

    public void addRuleInstances​(Digester digester)

Description copied from class: `RuleSetBase`
Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Specified by:
  `addRuleInstances` in class `RuleSetBase`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.